//Code written by Yonatan Naamad 

#ifndef GRAPH_H
#define GRAPH_H

struct E;

typedef struct V
{
	int id; /*vertex identifier*/
	struct E **edges; /*list of adjacent edges*/
	int rank; /*cost value (used in Kruskal's algorithm)*/
	struct V *parent; /*parent vertex (used in Kruskal's algorithm)*/

} Vertex;

typedef struct E
{
	Vertex *v1, *v2;
	double weight;

	int heappos; /*used for storing position in the binary heap for heapsort*/
} Edge;

typedef struct
{
	Vertex **vertices;
	int numVertices;
} Graph;


void connectGraph(Graph *g);
void testConnectGraph(Graph *g);

Graph * createGraph(int numVertices);

#endif
