//Code written by Yonatan Naamad

#ifndef GRAPH_H
#define GRAPH_H

struct E;

typedef struct V
{
	int id; /*vertex identifier*/
	struct E **edges; /*list of adjacent edges*/
	double cost; /*cost value (used in Prim's algorithm)*/
	struct V *prev; /*previous vertex (used in Prim's algorithm)*/

	int heappos; /*used for storing position in the binary heap for efficiency*/
} Vertex;

typedef struct E
{
	Vertex *v1, *v2;
	double weight;
} Edge;

typedef struct
{
	Vertex **vertices;
	int numVertices;
} Graph;


void connectGraph(Graph *g);
void testConnectGraph(Graph *g);

Graph * createGraph(int numVertices);

#endif
